[arch-commits] Commit in moc/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Nov 7 13:14:17 EST 2009


    Date: Saturday, November 7, 2009 @ 13:14:17
  Author: eric
Revision: 58403

Fixed optdepends array syntax (close FS#16053)

Modified:
  moc/trunk/ChangeLog
  moc/trunk/PKGBUILD

-----------+
 ChangeLog |    4 ++++
 PKGBUILD  |    7 ++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-11-07 18:08:06 UTC (rev 58402)
+++ ChangeLog	2009-11-07 18:14:17 UTC (rev 58403)
@@ -1,3 +1,7 @@
+2009-11-07  Eric Belanger  <eric at archlinux.org>
+
+	* Fixed optdepends array syntax (close FS#16053)
+
 2009-03-21  Eric Belanger  <eric at archlinux.org>
 
 	* moc 2.4.4-3

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-07 18:08:06 UTC (rev 58402)
+++ PKGBUILD	2009-11-07 18:14:17 UTC (rev 58403)
@@ -11,16 +11,17 @@
 license=('GPL')
 depends=('libmad' 'libid3tag' 'jack-audio-connection-kit' 'curl>=7.16.2' 'libsamplerate' 'libtool')
 makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec')
-optdepends=('speex: for using the speex plugin' 'ffmpeg: for using the ffmpeg plugin' 'taglib and libmpcdec: for using the musepack plugin')
+optdepends=('speex: for using the speex plugin' 'ffmpeg: for using the ffmpeg plugin' \
+            'taglib: for using the musepack plugin' 'libmpcdec: for using the musepack plugin')
 options=('!libtool')
 source=(ftp://ftp.daper.net/pub/soft/moc/stable/${pkgname}-${pkgver}.tar.bz2 moc-2.4.4-ffmpeg.diff)
 md5sums=('647c770a5542a4ae5437386807a89796' '2e6958ddbb4cd0aa7bdf6c3235782381')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd $"{srcdir}/${pkgname}-${pkgver}"
   patch -p1 < ../moc-2.4.4-ffmpeg.diff || return 1
   sed -i 's|ffmpeg/avformat.h|libavformat/avformat.h|' decoder_plugins/ffmpeg/ffmpeg.c || return 1
   ./configure --prefix=/usr --without-rcc || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list